IsIn (JavaHamcrest 2.0.0.0 API)
Date: 2015-01-18

org.hamcrest.collection

## Class IsIn<T>

- java.lang.Object
- - org.hamcrest.BaseMatcher<T>
  - - org.hamcrest.collection.IsIn<T>

- All Implemented Interfaces:
    Matcher<T>, SelfDescribing

      public class IsIn<T>
      extends BaseMatcher<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IsIn(java.util.Collection<T> collection)`
    `IsIn(T[] elements)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `describeTo(Description buffer)` Generates a description of the object.
    `static <T> Matcher<T>` | `in(java.util.Collection<T> collection)` Creates a matcher that matches when the examined object is found within the specified collection.
    `static <T> Matcher<T>` | `in(T[] elements)` Creates a matcher that matches when the examined object is found within the specified array.
    `static <T> Matcher<T>` | `isIn(java.util.Collection<T> collection)` Deprecated. use is(in(...)) instead
    `static <T> Matcher<T>` | `isIn(T[] elements)` Deprecated. use is(in(...)) instead
    `static <T> Matcher<T>` | `isOneOf(T... elements)` Deprecated. use is(oneOf(...)) instead
    `boolean` | `matches(java.lang.Object o)` Evaluates the matcher for argument item.
    `static <T> Matcher<T>` | `oneOf(T... elements)` Creates a matcher that matches when the examined object is equal to one of the specified elements.

    - ### Methods inherited from class org.hamcrest.BaseMatcher

      `_dont_implement_Matcher___instead_extend_BaseMatcher_, describeMismatch, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IsIn

          public IsIn(java.util.Collection<T> collection)

    - #### IsIn

          public IsIn(T[] elements)

  - ### Method Detail

    - #### matches

          public boolean matches(java.lang.Object o)

      Description copied from interface: `Matcher`
      Evaluates the matcher for argument item. This method matches against Object, instead of the generic type T. This is because the caller of the Matcher does not know at runtime what the type is (because of type erasure with Java generics). It is down to the implementations to check the correct type.
      Parameters:
        `o` - the object against which the matcher is evaluated.
      Returns:
        `true` if item matches, otherwise `false`.
      See Also:
        `BaseMatcher`

    - #### describeTo

          public void describeTo(Description buffer)

      Description copied from interface: `SelfDescribing`
      Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.
      Parameters:
        `buffer` - The description to be built or appended to.

    - #### isIn

          @Deprecated
          public static <T> Matcher<T> isIn(java.util.Collection<T> collection)

      Deprecated. use is(in(...)) instead
      Creates a matcher that matches when the examined object is found within the specified collection. For example:

          assertThat("foo", isIn(Arrays.asList("bar", "foo")))

      Parameters:
        `collection` - the collection in which matching items must be found

    - #### in

          public static <T> Matcher<T> in(java.util.Collection<T> collection)

      Creates a matcher that matches when the examined object is found within the specified collection. For example:

          assertThat("foo", is(in(Arrays.asList("bar", "foo"))))

      Parameters:
        `collection` - the collection in which matching items must be found

    - #### isIn

          @Deprecated
          public static <T> Matcher<T> isIn(T[] elements)

      Deprecated. use is(in(...)) instead
      Creates a matcher that matches when the examined object is found within the specified array. For example:

          assertThat("foo", isIn(new String[]{"bar", "foo"}))

      Parameters:
        `elements` - the array in which matching items must be found

    - #### in

          public static <T> Matcher<T> in(T[] elements)

      Creates a matcher that matches when the examined object is found within the specified array. For example:

          assertThat("foo", is(in(new String[]{"bar", "foo"})))

      Parameters:
        `elements` - the array in which matching items must be found

    - #### isOneOf

          @Deprecated
          public static <T> Matcher<T> isOneOf(T... elements)

      Deprecated. use is(oneOf(...)) instead
      Creates a matcher that matches when the examined object is equal to one of the specified elements. For example:

          assertThat("foo", isOneOf("bar", "foo"))

      Parameters:
        `elements` - the elements amongst which matching items will be found

    - #### oneOf

          public static <T> Matcher<T> oneOf(T... elements)

      Creates a matcher that matches when the examined object is equal to one of the specified elements. For example:

          assertThat("foo", is(oneOf("bar", "foo")))

      Parameters:
        `elements` - the elements amongst which matching items will be found